# module Hoe::Flog

Flog plugin for hoe.

### Tasks Provided:¶ ↑

flog

  Analyze code complexity.

### Attributes

flog_method[RW]

Optional: flog method to run to determine threshold. [default: :max_method]

flog_threshold[RW]

Optional: flog threshold to determine threshold failure. [default: 1500-200]

### Public Instance Methods

define_flog_tasks() click to toggle source

Define tasks for plugin.

    # File lib/hoe/flog.rb, line 30
    def define_flog_tasks
      begin
        require 'flog_task'
        FlogTask.new :flog, self.flog_threshold, nil, self.flog_method
      rescue LoadError
        # skip
      end
    end

initialize_flog() click to toggle source

Initialize variables for plugin.

    # File lib/hoe/flog.rb, line 22
    def initialize_flog
      self.flog_method    ||= :max_method
      self.flog_threshold ||= 20 # 2x industry avg
    end